org.richfaces.resource.optimizer.faces

## Class ApplicationImpl

- java.lang.Object
- - javax.faces.application.Application
  - - org.richfaces.resource.optimizer.faces.ApplicationImpl

-     public class ApplicationImpl
      extends javax.faces.application.Application

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComponent(String componentType, String componentClass)`
    `void` | `addConverter(Class<?> targetClass, String converterClass)`
    `void` | `addConverter(String converterId, String converterClass)`
    `void` | `addValidator(String validatorId, String validatorClass)`
    `javax.faces.component.UIComponent` | `createComponent(String componentType)`
    `javax.faces.component.UIComponent` | `createComponent(javax.faces.el.ValueBinding componentBinding, javax.faces.context.FacesContext context, String componentType)`
    `javax.faces.convert.Converter` | `createConverter(Class<?> targetClass)`
    `javax.faces.convert.Converter` | `createConverter(String converterId)`
    `javax.faces.el.MethodBinding` | `createMethodBinding(String ref, Class<?>[] params)`
    `javax.faces.validator.Validator` | `createValidator(String validatorId)`
    `javax.faces.el.ValueBinding` | `createValueBinding(String ref)`
    `<T> T` | `evaluateExpressionGet(javax.faces.context.FacesContext context, String expression, Class<? extends T> expectedType)`
    `javax.faces.event.ActionListener` | `getActionListener()`
    `Iterator<String>` | `getComponentTypes()`
    `Iterator<String>` | `getConverterIds()`
    `Iterator<Class<?>>` | `getConverterTypes()`
    `Locale` | `getDefaultLocale()`
    `String` | `getDefaultRenderKitId()`
    `javax.el.ExpressionFactory` | `getExpressionFactory()`
    `String` | `getMessageBundle()`
    `javax.faces.application.NavigationHandler` | `getNavigationHandler()`
    `javax.faces.application.ProjectStage` | `getProjectStage()`
    `javax.faces.el.PropertyResolver` | `getPropertyResolver()`
    `javax.faces.application.ResourceHandler` | `getResourceHandler()`
    `javax.faces.application.StateManager` | `getStateManager()`
    `Iterator<Locale>` | `getSupportedLocales()`
    `Iterator<String>` | `getValidatorIds()`
    `javax.faces.el.VariableResolver` | `getVariableResolver()`
    `javax.faces.application.ViewHandler` | `getViewHandler()`
    `void` | `setActionListener(javax.faces.event.ActionListener listener)`
    `void` | `setDefaultLocale(Locale locale)`
    `void` | `setDefaultRenderKitId(String renderKitId)`
    `void` | `setMessageBundle(String bundle)`
    `void` | `setNavigationHandler(javax.faces.application.NavigationHandler handler)`
    `void` | `setPropertyResolver(javax.faces.el.PropertyResolver resolver)`
    `void` | `setStateManager(javax.faces.application.StateManager manager)`
    `void` | `setSupportedLocales(Collection<Locale> locales)`
    `void` | `setVariableResolver(javax.faces.el.VariableResolver resolver)`
    `void` | `setViewHandler(javax.faces.application.ViewHandler handler)`

    - ### Methods inherited from class javax.faces.application.Application

      `addBehavior, addDefaultValidatorId, addELContextListener, addELResolver, createBehavior, createComponent, createComponent, createComponent, createComponent, getBehaviorIds, getDefaultValidatorInfo, getELContextListeners, getELResolver, getResourceBundle, publishEvent, publishEvent, removeELContextListener, setResourceHandler, subscribeToEvent, subscribeToEvent, unsubscribeFromEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationImpl

          public ApplicationImpl()

  - ### Method Detail

    - #### getActionListener

          public javax.faces.event.ActionListener getActionListener()

      Specified by:
        `getActionListener` in class `javax.faces.application.Application`

    - #### setActionListener

          public void setActionListener(javax.faces.event.ActionListener listener)

      Specified by:
        `setActionListener` in class `javax.faces.application.Application`

    - #### getDefaultLocale

          public Locale getDefaultLocale()

      Specified by:
        `getDefaultLocale` in class `javax.faces.application.Application`

    - #### setDefaultLocale

          public void setDefaultLocale(Locale locale)

      Specified by:
        `setDefaultLocale` in class `javax.faces.application.Application`

    - #### getDefaultRenderKitId

          public String getDefaultRenderKitId()

      Specified by:
        `getDefaultRenderKitId` in class `javax.faces.application.Application`

    - #### setDefaultRenderKitId

          public void setDefaultRenderKitId(String renderKitId)

      Specified by:
        `setDefaultRenderKitId` in class `javax.faces.application.Application`

    - #### getMessageBundle

          public String getMessageBundle()

      Specified by:
        `getMessageBundle` in class `javax.faces.application.Application`

    - #### setMessageBundle

          public void setMessageBundle(String bundle)

      Specified by:
        `setMessageBundle` in class `javax.faces.application.Application`

    - #### getNavigationHandler

          public javax.faces.application.NavigationHandler getNavigationHandler()

      Specified by:
        `getNavigationHandler` in class `javax.faces.application.Application`

    - #### setNavigationHandler

          public void setNavigationHandler(javax.faces.application.NavigationHandler handler)

      Specified by:
        `setNavigationHandler` in class `javax.faces.application.Application`

    - #### getPropertyResolver

          public javax.faces.el.PropertyResolver getPropertyResolver()

      Specified by:
        `getPropertyResolver` in class `javax.faces.application.Application`

    - #### setPropertyResolver

          public void setPropertyResolver(javax.faces.el.PropertyResolver resolver)

      Specified by:
        `setPropertyResolver` in class `javax.faces.application.Application`

    - #### getVariableResolver

          public javax.faces.el.VariableResolver getVariableResolver()

      Specified by:
        `getVariableResolver` in class `javax.faces.application.Application`

    - #### setVariableResolver

          public void setVariableResolver(javax.faces.el.VariableResolver resolver)

      Specified by:
        `setVariableResolver` in class `javax.faces.application.Application`

    - #### getViewHandler

          public javax.faces.application.ViewHandler getViewHandler()

      Specified by:
        `getViewHandler` in class `javax.faces.application.Application`

    - #### setViewHandler

          public void setViewHandler(javax.faces.application.ViewHandler handler)

      Specified by:
        `setViewHandler` in class `javax.faces.application.Application`

    - #### getStateManager

          public javax.faces.application.StateManager getStateManager()

      Specified by:
        `getStateManager` in class `javax.faces.application.Application`

    - #### setStateManager

          public void setStateManager(javax.faces.application.StateManager manager)

      Specified by:
        `setStateManager` in class `javax.faces.application.Application`

    - #### addComponent

          public void addComponent(String componentType,
                                   String componentClass)

      Specified by:
        `addComponent` in class `javax.faces.application.Application`

    - #### createComponent

          public javax.faces.component.UIComponent createComponent(String componentType)
                                                            throws javax.faces.FacesException

      Specified by:
        `createComponent` in class `javax.faces.application.Application`
      Throws:
        `javax.faces.FacesException`

    - #### createComponent

          public javax.faces.component.UIComponent createComponent(javax.faces.el.ValueBinding componentBinding,
                                                                   javax.faces.context.FacesContext context,
                                                                   String componentType)
                                                            throws javax.faces.FacesException

      Specified by:
        `createComponent` in class `javax.faces.application.Application`
      Throws:
        `javax.faces.FacesException`

    - #### getComponentTypes

          public Iterator<String> getComponentTypes()

      Specified by:
        `getComponentTypes` in class `javax.faces.application.Application`

    - #### addConverter

          public void addConverter(String converterId,
                                   String converterClass)

      Specified by:
        `addConverter` in class `javax.faces.application.Application`

    - #### addConverter

          public void addConverter(Class<?> targetClass,
                                   String converterClass)

      Specified by:
        `addConverter` in class `javax.faces.application.Application`

    - #### createConverter

          public javax.faces.convert.Converter createConverter(String converterId)

      Specified by:
        `createConverter` in class `javax.faces.application.Application`

    - #### createConverter

          public javax.faces.convert.Converter createConverter(Class<?> targetClass)

      Specified by:
        `createConverter` in class `javax.faces.application.Application`

    - #### getConverterIds

          public Iterator<String> getConverterIds()

      Specified by:
        `getConverterIds` in class `javax.faces.application.Application`

    - #### getConverterTypes

          public Iterator<Class<?>> getConverterTypes()

      Specified by:
        `getConverterTypes` in class `javax.faces.application.Application`

    - #### createMethodBinding

          public javax.faces.el.MethodBinding createMethodBinding(String ref,
                                                                  Class<?>[] params)
                                                           throws javax.faces.el.ReferenceSyntaxException

      Specified by:
        `createMethodBinding` in class `javax.faces.application.Application`
      Throws:
        `javax.faces.el.ReferenceSyntaxException`

    - #### getSupportedLocales

          public Iterator<Locale> getSupportedLocales()

      Specified by:
        `getSupportedLocales` in class `javax.faces.application.Application`

    - #### setSupportedLocales

          public void setSupportedLocales(Collection<Locale> locales)

      Specified by:
        `setSupportedLocales` in class `javax.faces.application.Application`

    - #### addValidator

          public void addValidator(String validatorId,
                                   String validatorClass)

      Specified by:
        `addValidator` in class `javax.faces.application.Application`

    - #### createValidator

          public javax.faces.validator.Validator createValidator(String validatorId)
                                                          throws javax.faces.FacesException

      Specified by:
        `createValidator` in class `javax.faces.application.Application`
      Throws:
        `javax.faces.FacesException`

    - #### getValidatorIds

          public Iterator<String> getValidatorIds()

      Specified by:
        `getValidatorIds` in class `javax.faces.application.Application`

    - #### createValueBinding

          public javax.faces.el.ValueBinding createValueBinding(String ref)
                                                         throws javax.faces.el.ReferenceSyntaxException

      Specified by:
        `createValueBinding` in class `javax.faces.application.Application`
      Throws:
        `javax.faces.el.ReferenceSyntaxException`

    - #### getProjectStage

          public javax.faces.application.ProjectStage getProjectStage()

      Overrides:
        `getProjectStage` in class `javax.faces.application.Application`

    - #### getExpressionFactory

          public javax.el.ExpressionFactory getExpressionFactory()

      Overrides:
        `getExpressionFactory` in class `javax.faces.application.Application`

    - #### getResourceHandler

          public javax.faces.application.ResourceHandler getResourceHandler()

      Overrides:
        `getResourceHandler` in class `javax.faces.application.Application`

    - #### evaluateExpressionGet

          public <T> T evaluateExpressionGet(javax.faces.context.FacesContext context,
                                             String expression,
                                             Class<? extends T> expectedType)
                                      throws javax.el.ELException

      Overrides:
        `evaluateExpressionGet` in class `javax.faces.application.Application`
      Throws:
        `javax.el.ELException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.